import { Request } from "lambda-api";
import { ApiParam } from "../../model/open-api/ApiParam";
import { BaseParameterExtractor } from "./BaseParameterExtractor";
export declare class HeaderParameterExtractor extends BaseParameterExtractor {
    readonly name: string;
    readonly source = "header";
    constructor(name: string, apiParamInfo?: ApiParam);
    extract(request: Request): string;
}
