"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * AWS Lambda HTTP request event. Used for testing,
 * enabling manually passing requests to a `ApiLambdaApp`
 * instance.
 */
class ApiRequest {
    constructor() {
        /**
         * HTTP request headers as a map.
         */
        this.headers = {};
        /**
         * HTTP request query string parameters as a map.
         */
        this.queryStringParameters = {};
    }
}
exports.ApiRequest = ApiRequest;
//# sourceMappingURL=ApiRequest.js.map