"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("util");
const BaseParameterExtractor_1 = require("./BaseParameterExtractor");
class RequestParameterExtractor extends BaseParameterExtractor_1.BaseParameterExtractor {
    constructor() {
        super(RequestParameterExtractor);
        this.source = "virtual";
        this.name = "request";
    }
    extract(request) {
        this.logger.debug("Injecting request as parameter");
        if (this.logger.traceEnabled()) {
            this.logger.trace("Request:\n%s", util_1.inspect(request));
        }
        return request;
    }
}
exports.RequestParameterExtractor = RequestParameterExtractor;
//# sourceMappingURL=RequestParameterExtractor.js.map