"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Base class for security principal returned
 * by an authentication filter upon successful
 * request authentication.
 *
 * Extend this class to define a custom principal.
 */
class Principal {
    /**
     * Build a new principal.
     *
     * @param name Name of this principal.
     */
    constructor(name) {
        this._name = name;
    }
    get name() {
        return this._name;
    }
}
exports.Principal = Principal;
//# sourceMappingURL=Principal.js.map